Bug 1360784 - gstreamer-plugins-bad-free requires a different libvpx version
Summary: gstreamer-plugins-bad-free requires a different libvpx version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gstreamer-plugins-bad-free
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Benjamin Otte
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F25AlphaBlocker
TreeView+ depends on / blocked
 
Reported: 2016-07-27 13:25 UTC by Ali Akcaagac
Modified: 2016-08-16 15:22 UTC (History)
6 users (show)

Fixed In Version: gstreamer-plugins-bad-free-0.10.23-33.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-16 15:22:02 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Ali Akcaagac 2016-07-27 13:25:49 UTC
Error: Package: gstreamer-plugins-bad-free-0.10.23-31.fc24.x86_64 (rawhide)
           Requires: libvpx.so.3()(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Please fix if possible!

rawhide!

Comment 1 Fedora Update System 2016-08-09 15:38:21 UTC
gstreamer-plugins-bad-free-0.10.23-33.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c4f53dbd06

Comment 2 Fedora Update System 2016-08-10 04:57:19 UTC
gstreamer-plugins-bad-free-0.10.23-33.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c4f53dbd06

Comment 3 Ali Akcaagac 2016-08-10 08:40:13 UTC
Please note that I reported this issue against *rawhide*. Fixing for the Fedora 25 branch most likely won't fix the issue in rawhide.

Comment 4 Wim Taymans 2016-08-10 10:04:24 UTC
It is also built for rawhide.

Comment 5 Ali Akcaagac 2016-08-10 13:42:17 UTC
(In reply to Wim Taymans from comment #4)
> It is also built for rawhide.

Thanks!

Comment 6 Adam Williamson 2016-08-16 04:40:45 UTC
This bug prevents compose of the ARM Xfce image:

http://koji.fedoraproject.org/koji/taskinfo?taskID=15270522
https://kojipkgs.fedoraproject.org//work/tasks/542/15270542/root.log

DEBUG util.py:421:  Unable to create appliance : Failed to build transaction : gstreamer-plugins-bad-free-0.10.23-31.fc24.armv7hl requires libvpx.so.3

That makes it an automatic Alpha blocker: "Bugs which entirely prevent the composition of one or more of the release-blocking images required to be built for a currently-pending (pre-)release" - https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process#Automatic_blockers (the Xfce image is a release-blocking image for ARM). Marking as such.

Comment 7 Fedora Update System 2016-08-16 15:21:58 UTC
gstreamer-plugins-bad-free-0.10.23-33.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.